Package com.usatiuk.dhfs.jkleppmanntree

# Class JKleppmannTreePeriodicOpHandler

java.lang.Object
com.usatiuk.dhfs.jkleppmanntree.JKleppmannTreePeriodicOpHandler

All Implemented Interfaces:
  `OpHandler<JKleppmannTreePeriodicPushOp>`

@ApplicationScoped public class JKleppmannTreePeriodicOpHandler extends Object implements OpHandler<JKleppmannTreePeriodicPushOp>

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreePeriodicOpHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleOp(PeerId from, JKleppmannTreePeriodicPushOp op)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JKleppmannTreePeriodicOpHandler

public JKleppmannTreePeriodicOpHandler()

## Method Details

### handleOp

public void handleOp(PeerId from, JKleppmannTreePeriodicPushOp op)

Specified by:
  `handleOp` in interface `OpHandler<JKleppmannTreePeriodicPushOp>`